Bug 216360 - mdadm raid assemble fails using FC6 "linux rescue"
mdadm raid assemble fails using FC6 "linux rescue"
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-19 17:16 EST by Donavan Kienenberger
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-03 15:59:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Donavan Kienenberger 2006-11-19 17:16:06 EST
Description of problem:

Using the FC6 install DVD in "linux rescue" mode, after successfully creating a raid 1 array with a 
missing device using mdadm command and a single disk,  when you reboot and try to assemble the 
array,  mdadm is unable to find a device and fails to assemble the array when using the FC6 DVD.  The 
devices superblock can be printed using mdadm's examine command. The device is listed as state: 
active, checksum: correct.

mdadm -A /dev/md0 /dev/hda1
mdadm: no devices found for /dev/md0

Booting off a FC4 or FC5 "linux rescue" cd  and assembling the raid 1 array will work fine.

Version-Release number of selected component (if applicable):
mdadm - v2.5.4 - 13 October 2006

How reproducible:
Every time.

Steps to Reproduce:
1. Install a blank hard drive, using FC6 "linux rescue" to the command prompt
2. fdisk /dev/hda
3. n
4. p
5. 1
6. <return>
7. <return>
8. t
9. 1
10. fd
11. w
12. mdadm -C -v /dev/md0 -l 1 -n 2 missing /dev/hda1
13. Standard verification checks:
  mdadm -E /dev/hda1
  mdadm -D /dev/md0
  cat /proc/mdstat 
14. exit (To Reboot) using FC6 "linux rescue" to the command prompt
15. mdadm -A /dev/md0 /dev/hda1

Results:
mdadm: no devices found for /dev/md0

16. exit (To Boot) using FC4 or FC5 "linux rescue" to the command prompt
17. mdadm -A /dev/md0 /dev/hda1

Results: 
mdadm: /dev/md0 has been started with 1 drive (out of 2)
  
Actual results:
mdadm: no devices found for /dev/md0

Expected results:
mdadm: /dev/md0 has been started with 1 drive (out of 2)

Additional info:
Comment 1 Doug Ledford 2007-07-03 15:58:47 EDT
I'm pushing an mdadm update that should solve this issue as far as mdadm goes
(my testing indicates it does), but that doesn't get the update onto the rescue
CD.  I suspect that this bug can simply be closed as CANTFIX unless there are
plans to spin new isos.

Note You need to log in before you can comment on or make changes to this bug.